7个自己建网站需要避免的错误

谁都会犯错误,奶爸在建网站这么多年里面也走过很多弯路,踩过很多坑。本文给大家总结一下7个自己建网站需要避免的错误。

如果你还没有网站,可以先看看自己建网站的步骤,或者跟着安装WordPress教程去搭建一个自己的网站。

现在我们开始一起来看看新手在自己建网站过程中容易碰到那7个错误。

1、SEO错误,不提供网站地图

All in One SEO Pack站点地图功能

站点地图是帮助搜索引擎了解你网站结构最重要的一个工具,但是很多新手可能并不知道站点地图可以提高网站SEO优化效果。

如果你还不知道什么是站点地图,也不知道如何添加,那么请参考:WordPress生成站点地图的几种方法_sitemap插件推荐

2、保留不需要的插件

未激活插件

很多人会把不需要的插件禁用,然后就保留在服务器里面。

实际上这么做并不安全。

插件你停用了,但是并不代表它留在你服务器上就没有风险了,一些插件很可能会带有漏洞,然后被黑客利用。

同时太多插件也会增加网站服务器的资源占用,wordpress需要判断哪些插件是否启用和停用,还要检查插件的版本更新,间接也会影响你网站后台打开速度。

所以正确的做法是删除你不需要使用的插件,有需要的时候再重新安装。

3、忘记手动备份

虽然奶爸已经多次在文章里面给大家提醒过网站需要定时备份,也分享过防止数据丢失 10款优秀的WordPress备份插件推荐,不过前段时间奶爸发现自己用插件备份的数据库有乱码,原来是备份插件有bug。

所以隔段时间自己手动备份一次网站数据也是非常有必要的,不能太相信自动化。

4、不检查联系表单的工作情况

联系表单功能几乎是外贸网站必备的一个功能,但是很多站长自己搭建好WordPress并且配置完毕联系表单后,不去测试功能是否可用。

一些服务器的发件功能可能是失效的,如果你不自己检查,那么可能会白白丢失客户。

推荐使用联系表单本地保存插件,把联系表单的数据记录下来,做到双保险。

5、使用老版本的WordPress

wordpress更新

因为一些外贸用户购买的虚拟主机所带的php版本比较低,不能升级到新版本的WordPress,所以就直接选择不更新了。

而WordPress版本更新通常除了新功能外,就是对老版本的漏洞修复,不修复漏洞网站的安全性就会大打折扣。

这也是为什么你经常看到企业网站被黑的原因。

当然,如果你使用的是国内服务器,那么自动更新WordPress版本可能会失败,那么就需要选择手动更新WordPress版本了。

6、不及时更新WordPress主题和插件

和WordPress版本一样的道理,WP的主题和插件如果有更新你也应该选择更新,WordPress每个月都会公布一部分插件的漏洞情况,如果你正好使用了却没有更新,那么你想想危险性。

7、直接修改主题和插件

一些新人会跟着网上的教程对主题和插件代码进行一些修改,在修改前没有备份,导致修改错误引起网站错误后网站打不开,或者网站显示空白。

所以一定要养成修改主题和插件前先备份的习惯。

 

Scroll to Top